Skip to main content
POST
Rate a movie

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

movie_id
integer
required

A unique identifier for a movie

Example:

18

Query Parameters

session_id
string

A unique identifier for an authenticated user session. Usually used for user authentication [blocked]

Example:

"02a0e6d34dbd8325254e83c78918599076a62b0e"

guest_session_id
string

A unique identifier for an authenticated guest user session. Usually used for guest user authentication [blocked]

Example:

"0145215ad484b24c4b3f2ed0f5b77217"

Body

application/json
value
number

The rating value for the movie. Usually between 1-10.

Example:

8.5

Response

201 - application/json

Request successful

status_code
number

A numeric code indicating the success of the request

Example:

1

status_message
string

A brief message describing the status of the request

Example:

"Success."

success
boolean

A boolean value describing the state of the request. Possible values - true or false

Example:

true